.namespace Location_zone

function OnEnable()
	--ResetVignettePos()
end
function OnDisable()
	--ResetVignettePos()
end
function OnMouseOff()
	ResetVignettePos()
end
function IIM_OnMouseOnDo()
end

function ResetVignettePos()

	for i=1,5 do
--		if not vignette.Name == LeftLocations.g_mainvignette.Name then
			vignette = OPUnitFactory.GetUnit("Location_polaroid0"..i)
			vignette.Rotation = 0.2
			vignette.Scale_X = 0.75
			vignette.Scale_Y = 0.75
			vignette.Layer = LayerPopup
			vignette.Color.g = 128
			vignette.Color.b = 128
			vignette.Color.r = 128
			--vignette.Position_X = vignette.g_original_posX
--		end
	end
	LeftLocations.g_mainvignette.Rotation = 0
	LeftLocations.g_mainvignette.Scale_X = 1
	LeftLocations.g_mainvignette.Scale_Y = 1
	LeftLocations.g_mainvignette.Layer = LayerPopup01
	LeftLocations.g_mainvignette.Color.g = 255
	LeftLocations.g_mainvignette.Color.b = 255
	LeftLocations.g_mainvignette.Color.r = 255	
	--LeftLocations.g_mainvignette.Position_X=LeftLocations.g_mainvignette.g_original_posX
		if string.find(GetCurrentManager().Name,"_SearchSite") then -- pas génial
			Locations_txt.Text =  GlobalFunctions.GetText(string.gsub(GetCurrentManager().Name,"_SearchSite",""))
		end
end